﻿## History of changes for WinPython 3.4.3.5



The following changes were made to WinPython distribution since version 3.4.3.4.



### Tools



Removed packages:



  * [MinGW32](https://github.com/numpy/numpy/wiki/Mingw-static-toolchain) 4.9.2 (C/C++ and Fortran compilers (Mingwpy static toolchain version))

  * [gettext](http://sourceforge.net/projects/gettext) 0.14.4 (GNU gettext Win32 porting - the GNU translation tool (useful tools for pygettext, a standard library module))



### Python packages



New packages:



  * [Markdown](http://pypi.python.org/pypi/Markdown) 2.6.2 (Python implementation of Markdown.)

  * [PyAudio](http://pypi.python.org/pypi/PyAudio) 0.2.8 (Bindings for PortAudio v19, the cross-platform audio input/output stream library.)

  * [blaze](http://pypi.python.org/pypi/blaze) 0.8.2 (Blaze)

  * [bokeh](http://pypi.python.org/pypi/bokeh) 0.9.2 (Statistical and novel interactive HTML plots for Python)

  * [greenlet](http://pypi.python.org/pypi/greenlet) 0.4.7 (Lightweight in-process concurrent programming)

  * [holoviews](http://pypi.python.org/pypi/holoviews) 1.3.2 (Composable, declarative data structures for building complex visualizations easily.)

  * [locket.py](http://pypi.python.org/pypi/locket.py) 0.2.0 (File-based locks for Python for Linux and Windows)

  * [mingwpy](https://anaconda.org/carlkl/mingwpy) 0.1.0b3 (the python friendly windows compiler toolchain)

  * [netCDF4](http://pypi.python.org/pypi/netCDF4) 1.1.9 (python/numpy interface to netCDF library (versions 3 and 4))

  * [param](http://pypi.python.org/pypi/param) 1.3.2 (Declarative Python programming using Parameters.)

  * [partd](http://pypi.python.org/pypi/partd) 0.3.2 (Appendable key-value storage)

  * [pystache](http://pypi.python.org/pypi/pystache) 0.5.4 (Mustache for Python)

  * [twitter](http://pypi.python.org/pypi/twitter) 1.17.0 (An API and command-line toolset for Twitter (twitter.com))

  * [xray](http://pypi.python.org/pypi/xray) 0.5.2 (N-D labeled arrays and datasets in Python)



Upgraded packages:



  * [Keras](http://pypi.python.org/pypi/Keras) 0.1.1 → 0.1.2 (Theano-based Deep Learning library)

  * [Pillow](http://pypi.python.org/pypi/Pillow) 2.8.2 → 2.9.0 (Python Imaging Library (fork))

  * [SQLAlchemy](http://www.sqlalchemy.org) 1.0.5 → 1.0.8 (SQL Toolkit and Object Relational Mapper)

  * [alabaster](http://pypi.python.org/pypi/alabaster) 0.7.4 → 0.7.6 (A configurable sidebar-enabled Sphinx theme)

  * [bcolz](http://pypi.python.org/pypi/bcolz) 0.9.0 → 0.10.0 (columnar and compressed data containers.)

  * [beautifulsoup4](http://pypi.python.org/pypi/beautifulsoup4) 4.3.2 → 4.4.0 (Screen-scraping library)

  * [click](http://pypi.python.org/pypi/click) 4.0 → 4.1 (A simple wrapper around optparse for powerful command line utilities.)

  * [dask](http://pypi.python.org/pypi/dask) 0.5.0 → 0.6.1 (Minimal task scheduling abstraction)

  * [datashape](http://pypi.python.org/pypi/datashape) 0.4.5 → 0.4.6 (A data description language)

  * [dill](http://pypi.python.org/pypi/dill) 0.2.2 → 0.2.3 (serialize all of python (almost))

  * [ipython](http://ipython.org) 3.2.0 → 3.2.1 (Enhanced Python shell)

  * [llvmlite](http://pypi.python.org/pypi/llvmlite) 0.5.1 → 0.6.0 (lightweight wrapper around basic LLVM functionality)

  * [logilab_common](http://pypi.python.org/pypi/logilab_common) 0.63.2 → 1.0.2 (Collection of low-level Python packages and modules used by Logilab projects (required for pylint))

  * [mistune](http://pypi.python.org/pypi/mistune) 0.5.1 → 0.7 (The fastest markdown parser in pure Python, inspired by marked.)

  * [multipledispatch](http://pypi.python.org/pypi/multipledispatch) 0.4.7 → 0.4.8 (A relatively sane approach to multiple dispatch in Python)

  * [nltk](http://pypi.python.org/pypi/nltk) 3.0.2 → 3.0.4 (The Natural Language Toolkit (NLTK) is a Python package for natural language processing.)

  * [numba](http://pypi.python.org/pypi/numba) 0.19.2 → 0.20.0 (compiling Python code using LLVM)

  * [oct2py](http://pypi.python.org/pypi/oct2py) 3.2.0 → 3.3.0 (Python to GNU Octave bridge --> run m-files from python.)

  * [odo](http://pypi.python.org/pypi/odo) 0.3.2 → 0.3.3 (Data migration in Python)

  * [patsy](http://pypi.python.org/pypi/patsy) 0.3.0 → 0.4.0 (Describing statistical models using symbolic formulas)

  * [pip](http://pypi.python.org/pypi/pip) 7.0.3 → 7.1.0 (A tool for installing and managing Python packages)

  * [psutil](http://code.google.com/p/psutil) 3.0.0 → 3.1.1 (Provides an interface for retrieving information on all running processes and system utilization (CPU, disk, memory, network) in a portable way)

  * [pymongo](http://pypi.python.org/pypi/pymongo) 3.0.2 → 3.0.3 (Python driver for MongoDB <http://www.mongodb.org>)

  * [pyodbc](http://pypi.python.org/pypi/pyodbc) 3.0.9 → 3.0.10 (DB API Module for ODBC)

  * [rpy2](http://pypi.python.org/pypi/rpy2) 2.6.0 → 2.6.1 (Python interface to the R language (embedded R))

  * [scipy](http://www.scipy.org) 0.15.1 → 0.16.0 (SciPy: Scientific Library for Python (advanced math, signal processing, optimization, statistics, ...))

  * [seaborn](http://pypi.python.org/pypi/seaborn) 0.5.1 → 0.6.0 (statistical data visualization)

  * [simplejson](http://pypi.python.org/pypi/simplejson) 3.7.3 → 3.8.0 (Simple, fast, extensible JSON (JavaScript Object Notation) encoder/decoder)

  * [tables](http://www.pytables.org) 3.2.0 → 3.2.1 (Package based on HDF5 library for managing hierarchical datasets (extremely large amounts of data))

  * [tornado](http://pypi.python.org/pypi/tornado) 4.2 → 4.2.1 (Scalable, non-blocking web server and tools (required for IPython notebook))

  * [xlrd](http://pypi.python.org/pypi/xlrd) 0.9.3 → 0.9.4 (Extract data from Microsoft Excel spreadsheet files)



Removed packages:



  * [VPython](http://www.vpython.org) 5.74 (A free, open-source module for producing real-time 3D scenes with Python)

  * [ggplot](https://github.com/yhat/ggplot) 0.6.5 (ggplot for python)

  * [mahotas](http://pypi.python.org/pypi/mahotas) 1.2.4 (Computer Vision library)

  * [runipy](http://pypi.python.org/pypi/runipy) 0.1.3 (Run IPython notebooks from the command line)

  * [vispy](http://pypi.python.org/pypi/vispy) 0.4.0 (Interactive visualization in Python)



* * *

